# Parte 0: Empezando con docker

## Instalar docker en debian

### Instalar dependencias
```
apt-get install \
    apt-transport-https \
    ca-certificates \
    curl \
    gnupg-agent \
    software-properties-common
```

### Añadir clave repositorio
```
curl -fsSL https://download.docker.com/linux/debian/gpg | sudo apt-key add -
```

### Añadir repositorio
```
add-apt-repository \
   "deb [arch=amd64] https://download.docker.com/linux/debian \
   $(lsb_release -cs) \
   stable"
```

### Instalar docker
```
apt-get update && apt-get install docker-ce docker-ce-cli containerd.io
```

## Arrancar nuestro primer contenedor
```
docker run -ti --rm --name prueba debian:buster-slim /bin/bash
```

![flujo-docker](../images/flujo-docker.png)